## jsbundle-web-interfaces 1.1.0+~2.0.1~ds+~5.0.0+~0~20180821

=== debian/changelog ===
jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~5.0.0+~0~20180821-1) unstable; urgency=medium

  [ upstream of webidl-conversions ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Dec 2019 20:30:48 +0100

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~4.0.2+~0~20180821-3) unstable; urgency=medium

  * fix clean generated docs
  * update watch file: use dversionmangle=auto

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2019 11:21:38 +0100

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~4.0.2+~0~20180821-2) unstable; urgency=medium

  * Fix clean generated documentation files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Oct 2019 15:20:36 +0200

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~4.0.2+~0~20180821-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#921385.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Oct 2019 19:02:25 +0200
