## jsbundle-web-interfaces 1.1.0+~2.0.1~ds+~6.0.0+~0~20180821

=== debian/changelog ===
jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~6.0.0+~0~20180821-1) unstable; urgency=medium

  [ upstream of webidl-conversions ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * add TODO about covering more tests
  * copyright: extend coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Apr 2020 18:15:38 +0200
