=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper,
+ debhelper-compat (= 12),
  jq,
  mocha <!nocheck>,
  node-babel-cli,
@@ -16,7 +16,7 @@
  node-regenerate,
  nodejs,
  pandoc <!nodoc>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/js-team/jsbundle-web-interfaces.git
 Vcs-Browser: https://salsa.debian.org/js-team/jsbundle-web-interfaces
 Rules-Requires-Root: no
