=== debian/rules ===
--- 
+++ 
@@ -33,12 +33,10 @@
 
 # check testsuites unless nocheck requested
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 #	$(call _must)
 #	$(call _jest, Xauth)
 #	$(call _must, Xhttp)
 	$(call _mocha, Xwebidl, test/*.js)
-endif
 
 # suppress upstream cleanup unneeded here
 override_dh_auto_clean:
