## jsbundle-web-interfaces 1.1.0+~2.0.1~ds+~6.1.0+~0~20180821

=== debian/changelog ===
jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~6.1.0+~0~20180821-1) unstable; urgency=medium

  [ upstream of webidl-conversions ]
  * new release

  * simplify source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Sep 2020 11:36:45 +0200

jsbundle-web-interfaces (1.1.0+~2.0.1~ds+~6.0.0+~0~20180821-2) unstable; urgency=medium

  * stop wrap tests with prove harness
  * use babel7 presets;
    build-depend on node-babel7
    (not node-babel-cli node-babel-core node-babel-preset-env
    node-babel-preset-flow node-babel-register);
    closes: bug#960024, thanks to Pirate Praveen

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 May 2020 08:35:10 +0200
