=== debian/control ===
--- 
+++ 
@@ -8,11 +8,7 @@
  debhelper-compat (= 12),
  jq,
  mocha <!nocheck>,
- node-babel-cli,
- node-babel-core,
- node-babel-preset-env,
- node-babel-preset-flow,
- node-babel-register,
+ node-babel7,
  node-regenerate,
  nodejs,
  pandoc <!nodoc>,
