=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-# don't fail on experimental builds
+# detect when build is targeted the experimental suite
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
 
 # generate documentation unless nodoc requested
@@ -13,11 +13,12 @@
 CHANGELOGS = $(CHANGELOGS_md:.md=.html) $(CHANGELOGS_md:.md=.txt)
 endif
 
+MOCHA = mocha --reporter tap
+
 # from folder $1 check mocha tests $2
-# * wrap with perl TAP harness
 # * tolerate failure of experimental builds
 _mocha = $(if $(filter-out .,$1),cd $1 && )$(strip \
- NODE_ENV=test prove --verbose --exec "mocha --reporter=tap" $2 \
+ $(MOCHA) $2 \
  $(if $(DEB_SUITE_EXP),|| true))
 
 # either resolve some files to include, or explicitly exclude
@@ -77,7 +78,7 @@
 
 Xauth/index.js:
 	BROWSERSLIST='node 6' babeljs \
-		--no-babelrc --presets=env,flow \
+		--no-babelrc --presets=@babel/preset-env,@babel/preset-flow \
 		--out-dir Xauth/dist \
 		-- Xauth/src
