=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ jest <!nocheck>,
  jq,
  mocha <!nocheck>,
  node-babel7,
  node-regenerate,
- nodejs,
  pandoc <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/js-team/jsbundle-web-interfaces.git
 Vcs-Browser: https://salsa.debian.org/js-team/jsbundle-web-interfaces
 Rules-Requires-Root: no
@@ -21,7 +21,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- nodejs,
  ${misc:Depends},
 Description: parse HTTP auth/authz headers - Node.js library
  auth-header deals
@@ -58,7 +57,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- nodejs,
  ${misc:Depends},
 Description: subclassable standard errors - Node.js library
  StandardError.js is a tiny JavaScript library
@@ -74,7 +72,6 @@
 Multi-Arch: foreign
 Depends:
  node-standard-error,
- nodejs,
  ${misc:Depends},
 Description: subclassable standard HTTP errors - Node.js library
  StandardHttpError.js is a very simple but useful error class
@@ -89,8 +86,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- nodejs,
  ${misc:Depends},
+Provides:
+ node-types-webidl-conversions (= ${webidl-types:Version}),
 Description: web IDL type conversions on JavaScript values - Node.js library
  Webidl-conversions implements, in JavaScript, the algorithms
  to convert a given JavaScript value according to a given Web IDL type.
