=== debian/tests/control ===
Test-Command: cd / && node -e "require('standard-error');"
Depends:
 node-standard-error,
 nodejs,
Restrictions: superficial

Test-Command: cd / && node -e "require('auth-header');"
Depends:
 node-auth-header,
 nodejs,
Restrictions: superficial

Test-Command: cd / && node -e "require('standard-http-error');"
Depends:
 node-standard-http-error,
 nodejs,
Restrictions: superficial

Test-Command: cd / && node -e "require('webidl-conversions');"
Depends:
 node-webidl-conversions,
 nodejs,
Restrictions: superficial
